> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Missing Accounts (beta)

> Get a list of possible missing accounts for a given End User. This endpoint is in beta and likely to change.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/missing_accounts
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/missing_accounts:
    get:
      tags:
        - EndUserAccounts
      summary: Get Missing Accounts (beta)
      description: >-
        Get a list of possible missing accounts for a given End User. This
        endpoint is in beta and likely to change.
      parameters:
        - description: The `end_user_id` or `heron_id` of EndUser
          in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  missing_accounts:
                    items:
                      $ref: '#/components/schemas/MissingAccountSchema'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    MissingAccountSchema:
      properties:
        account_name:
          description: An account name extracted from the transaction description
          example: Checking
          type: string
        account_number:
          description: An account number extracted from the transaction description
          example: '****4321'
          type: string
        transactions:
          items:
            $ref: '#/components/schemas/Transaction3'
          type: array
      type: object
    Transaction3:
      properties:
        account_id:
          description: Your unique ID for account associated with transaction
          example: checking_account_202348
          maxLength: 400
          nullable: true
          type: string
        amount:
          description: >-
            Amount. Inflows to an account should be positive, and outflows from
            an account should be negative. If using Plaid, please flip the
            amount sign for all transactions.
          example: -42.42
          type: number
        currency:
          description: ISO 4217 currency code
          example: USD
          maxLength: 3
          minLength: 3
          nullable: true
          type: string
        description:
          description: The text description for the transaction
          example: GOOGLE *ADS12340929 cc@google.com US
          type: string
        heron_id:
          description: Unique ID of transaction; generated by Heron Data
          example: txn_MfRtqfuH6ppWV658ZfovJV
          readOnly: true
          type: string
        timestamp:
          description: >-
            The ISO 8601 timezone aware timestamp of the transaction; takes
            precedence over 'date'
          example: '2021-11-12T10:38:05Z'
          format: date-time
          nullable: true
          type: string
      required:
        - amount
        - description
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````